GyotoStandardAstrobj.h File Reference

Astronomical objects defined bya a potential/distance. More...

`#include <iostream>`
`#include <fstream>`
`#include <iomanip>`
`#include <string>`
`#include "GyotoAstrobj.h"`
`#include "GyotoFunctors.h"`

Go to the source code of this file.

## Classes

class | Gyoto::Astrobj::Standard
| Astronomical objects defined bya a potential/distance. More...

## Namespaces

namespace | Gyoto
| Namespace for the Gyoto library.
namespace | Gyoto::Astrobj
| Access to astronomical objects.

## Detailed Description

Astronomical objects defined bya a potential/distance.

Many geometrically thick objects can be defined by the value of a function of the 4 coordinates, and their emission can often be defined in terms of an emission law and of a transmission law.

This is a base class for this standard case which simplifies a lot writting new Astrobjs.